package org.framework.lazy.cloud.network.heartbeat.client.netty.proxy.http.advanced;

import com.alibaba.fastjson.JSON;
import lombok.extern.slf4j.Slf4j;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.payload.NettyChannelContext;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.payload.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.proxy.http.client.AbstractHandleHttpDistributeClientProxyServerClientRouteCloseTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.protocol.route.ClientProxyRoute;
import org.framework.lazy.cloud.network.heartbeat.protocol.route.RouteContext;
import org.framework.lazy.cloud.network.heartbeat.protocol.route.RouteType;
import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.Role;

@Role(BeanDefinition.ROLE_INFRASTRUCTURE)
@Slf4j
public class ClientHandleDistributeHttpClientProxyServerClientRouteCloseTypeAdvanced extends
        AbstractHandleHttpDistributeClientProxyServerClientRouteCloseTypeAdvanced<NettyProxyMsg> {


    /**
     * 处理当前数据
     *
     * @param nettyChannelContext       当前通道
     * @param nettyProxyMsg 通道数据
     */
    @Override
    protected void doHandler(NettyChannelContext nettyChannelContext, NettyProxyMsg nettyProxyMsg) {

        byte[] data = nettyProxyMsg.getData();
        ClientProxyRoute clientProxyRoute = JSON.parseObject(data, ClientProxyRoute.class);
        RouteType routeType = clientProxyRoute.getRouteType();
        String virtualIp = clientProxyRoute.getVirtualIp();
        String virtualPort = clientProxyRoute.getVirtualPort();
        RouteContext.removeRoute(virtualIp,virtualPort,routeType);


    }
}
