package org.framework.lazy.cloud.network.heartbeat.client.netty.proxy.socks;

import io.netty.handler.codec.socksx.v5.Socks5AddressType;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.framework.lazy.cloud.network.heartbeat.client.config.NettyClientProperties;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.HandleChannelTypeAdvanced;

import java.util.List;


/**
 * 客户端代理服务端配置信息
 */
@NoArgsConstructor
@Data
public class NettySocksClientProxyClient {

    /**
     * 目标地址
     */
    private String targetIp;

    /**
     * 目标端口
     */
    private Integer targetPort;

    private String targetClientId;
    /**
     * 服务端地址信息
     */
    private NettyClientProperties nettyClientProperties;

    /**
     * 通道处理器
     */
    private List<HandleChannelTypeAdvanced> handleChannelTypeAdvancedList;

    /**
     * 是否是ssl
     */
    private  boolean isSsl;
    /**
     * 地址类型
     */
    private Socks5AddressType socks5AddressType;

}
