package org.framework.lazy.cloud.network.heartbeat.common.advanced.proxy.http;

import org.framework.lazy.cloud.network.heartbeat.common.advanced.payload.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.AbstractHandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.HandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ProxyMessageTypeEnums;

/**
 * http远程客户端代理
 * @param <MSG>
 */
public abstract class AbstractHttpClientProxyClientTypeAdvanced<MSG> extends AbstractHandleChannelTypeAdvanced<NettyProxyMsg> implements HandleChannelTypeAdvanced {


    /**
     * 是否支持当前类型
     *
     * @param nettyProxyMsg 通道数据
     * @return 布尔类型 是、否
     */
    @Override
    protected boolean doSupport(NettyProxyMsg nettyProxyMsg) {
        return ProxyMessageTypeEnums.HTTP_CLIENT_PROXY_CLIENT_.getTypeByte() == nettyProxyMsg.getType();
    }
}
