package org.framework.lazy.cloud.network.heartbeat.common.advanced.proxy.http.client;

import org.framework.lazy.cloud.network.heartbeat.common.advanced.payload.NettyProxyMsg;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.AbstractHandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.advanced.HandleChannelTypeAdvanced;
import org.framework.lazy.cloud.network.heartbeat.common.enums.ProxyMessageTypeEnums;

/**
 * 客户端处理服务端下发的代理返回数据
 * @param <MSG>
 */
public abstract class AbstractHandleHttpDistributeClientProxyServerTransferTypeAdvanced<MSG> extends AbstractHandleChannelTypeAdvanced<NettyProxyMsg> implements HandleChannelTypeAdvanced {


    /**
     * 是否支持当前类型
     *
     * @param nettyProxyMsg 通道数据
     * @return 布尔类型 是、否
     */
    @Override
    protected boolean doSupport(NettyProxyMsg nettyProxyMsg) {
        return ProxyMessageTypeEnums.HTTP_DISTRIBUTE_CLIENT_PROXY_SERVER_TRANSFER_.getTypeByte() == nettyProxyMsg.getType();
    }
}
