package org.framework.lazy.cloud.network.heartbeat.server.standalone.application;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.virtual.route.LazyNettyClientVirtualRoute;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.virtual.route.LazyNettyClientVirtualRouteRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.virtual.route.LazyNettyClientVirtualRouteStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.virtual.route.LazyNettyClientVirtualRouteUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.virtual.route.LazyNettyClientVirtualRouteQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.client.virtual.route.LazyNettyClientVirtualRouteQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyNettyClientVirtualRouteDTO;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 客户端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyApplication 
 **/

public interface LazyNettyClientVirtualRouteApplication {


    /**
     * describe 新增客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteStoryCommand 新增客户端虚拟路由管理     
     * @return {@link Result<LazyNettyClientVirtualRoute>} 客户端虚拟路由管理新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRoute> story(LazyNettyClientVirtualRouteStoryCommand lazyNettyClientVirtualRouteStoryCommand);

    /**
     * describe 批量新增客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteStoryCommandList 批量新增客户端虚拟路由管理     
     * @return {@link Result<List<LazyNettyClientVirtualRoute>>} 客户端虚拟路由管理新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<List<LazyNettyClientVirtualRoute>> batchStory(List<LazyNettyClientVirtualRouteStoryCommand> lazyNettyClientVirtualRouteStoryCommandList);

    /**
     * describe 更新客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteUpdateCommand 更新客户端虚拟路由管理     
     * @return {@link Result<LazyNettyClientVirtualRoute>} 客户端虚拟路由管理领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRoute> updateOne(LazyNettyClientVirtualRouteUpdateCommand lazyNettyClientVirtualRouteUpdateCommand);

    /**
     * describe 查询单个客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteQueryOneCommand 查询单个客户端虚拟路由管理     
     * @return {@link Result<LazyNettyClientVirtualRouteDTO>} 客户端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRouteDTO> findOne(LazyNettyClientVirtualRouteQueryOneCommand lazyNettyClientVirtualRouteQueryOneCommand);

    /**
     * describe 查询多个客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteQueryListCommand 查询多个客户端虚拟路由管理     
     * @return {@link Result <List<LazyNettyClientVirtualRouteDTO>>} 客户端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result <List<LazyNettyClientVirtualRouteDTO>> findList(LazyNettyClientVirtualRouteQueryListCommand lazyNettyClientVirtualRouteQueryListCommand);

    /**
     * describe 分页查询多个客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteQueryListCommand 分页查询多个客户端虚拟路由管理     
     * @return {@link Result <LazyPage<LazyNettyClientVirtualRouteDTO>>} 分页客户端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result <LazyPage<LazyNettyClientVirtualRouteDTO>> findPage(int size,int current,LazyNettyClientVirtualRouteQueryListCommand lazyNettyClientVirtualRouteQueryListCommand);

    /**
     * describe 删除客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteRemoveCommand 删除客户端虚拟路由管理     
     * @return {@link Result<LazyNettyClientVirtualRoute>} 客户端虚拟路由管理     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRoute> remove(LazyNettyClientVirtualRouteRemoveCommand lazyNettyClientVirtualRouteRemoveCommand);

}