package org.framework.lazy.cloud.network.heartbeat.server.standalone.application;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.virtual.route.LazyNettyServerVirtualRoute;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.virtual.route.LazyNettyServerVirtualRouteRemoveCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.virtual.route.LazyNettyServerVirtualRouteStoryCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.virtual.route.LazyNettyServerVirtualRouteUpdateCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.virtual.route.LazyNettyServerVirtualRouteQueryListCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.command.lazy.netty.server.virtual.route.LazyNettyServerVirtualRouteQueryOneCommand;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.application.dto.LazyNettyServerVirtualRouteDTO;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 服务端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyApplication 
 **/

public interface LazyNettyServerVirtualRouteApplication {


    /**
     * describe 新增服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteStoryCommand 新增服务端虚拟路由管理     
     * @return {@link Result<LazyNettyServerVirtualRoute>} 服务端虚拟路由管理新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRoute> story(LazyNettyServerVirtualRouteStoryCommand lazyNettyServerVirtualRouteStoryCommand);

    /**
     * describe 批量新增服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteStoryCommandList 批量新增服务端虚拟路由管理     
     * @return {@link Result<List<LazyNettyServerVirtualRoute>>} 服务端虚拟路由管理新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<List<LazyNettyServerVirtualRoute>> batchStory(List<LazyNettyServerVirtualRouteStoryCommand> lazyNettyServerVirtualRouteStoryCommandList);

    /**
     * describe 更新服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteUpdateCommand 更新服务端虚拟路由管理     
     * @return {@link Result<LazyNettyServerVirtualRoute>} 服务端虚拟路由管理领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRoute> updateOne(LazyNettyServerVirtualRouteUpdateCommand lazyNettyServerVirtualRouteUpdateCommand);

    /**
     * describe 查询单个服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteQueryOneCommand 查询单个服务端虚拟路由管理     
     * @return {@link Result<LazyNettyServerVirtualRouteDTO>} 服务端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRouteDTO> findOne(LazyNettyServerVirtualRouteQueryOneCommand lazyNettyServerVirtualRouteQueryOneCommand);

    /**
     * describe 查询多个服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteQueryListCommand 查询多个服务端虚拟路由管理     
     * @return {@link Result <List<LazyNettyServerVirtualRouteDTO>>} 服务端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result <List<LazyNettyServerVirtualRouteDTO>> findList(LazyNettyServerVirtualRouteQueryListCommand lazyNettyServerVirtualRouteQueryListCommand);

    /**
     * describe 分页查询多个服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteQueryListCommand 分页查询多个服务端虚拟路由管理     
     * @return {@link Result <LazyPage<LazyNettyServerVirtualRouteDTO>>} 分页服务端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result <LazyPage<LazyNettyServerVirtualRouteDTO>> findPage(int size,int current,LazyNettyServerVirtualRouteQueryListCommand lazyNettyServerVirtualRouteQueryListCommand);

    /**
     * describe 删除服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteRemoveCommand 删除服务端虚拟路由管理     
     * @return {@link Result<LazyNettyServerVirtualRoute>} 服务端虚拟路由管理     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRoute> remove(LazyNettyServerVirtualRouteRemoveCommand lazyNettyServerVirtualRouteRemoveCommand);

}