package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.virtual.route;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.virtual.route.LazyNettyClientVirtualRoute;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 客户端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyNettyClientVirtualRouteRepository {


    /**
     * describe 新增客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRoute 新增客户端虚拟路由管理     
     * @return {@link  Result<LazyNettyClientVirtualRoute>} 客户端虚拟路由管理新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRoute> story(LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute);

    /**
     * describe 批量新增客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRouteList 批量新增客户端虚拟路由管理     
     * @return {@link Result<List<LazyNettyClientVirtualRoute>>} 客户端虚拟路由管理新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<List<LazyNettyClientVirtualRoute>> batchStory(List<LazyNettyClientVirtualRoute> lazyNettyClientVirtualRouteList);

    /**
     * describe 查询单个客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRoute 查询单个客户端虚拟路由管理     
     * @return {@link Result<LazyNettyClientVirtualRoute>} 客户端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRoute> findOne(LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute);

    /**
     * describe 查询多个客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRoute 查询多个客户端虚拟路由管理     
     * @return {@link Result<List<LazyNettyClientVirtualRoute>>} 客户端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<List<LazyNettyClientVirtualRoute>> findList(LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute);

    /**
     * describe 分页查询多个客户端虚拟路由管理
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyNettyClientVirtualRoute 分页查询多个客户端虚拟路由管理     
     * @return {@link Result<LazyPage<LazyNettyClientVirtualRoute>>} 分页客户端虚拟路由管理领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyPage<LazyNettyClientVirtualRoute>> findPage(int size,int current,LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute);

    /**
     * describe 删除客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRoute 删除客户端虚拟路由管理     
     * @return {@link Result<LazyNettyClientVirtualRoute>} 客户端虚拟路由管理     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyClientVirtualRoute> remove(LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute);

    /**
     * describe 是否存在客户端虚拟路由管理
     *
     * @param lazyNettyClientVirtualRoute 是否存在客户端虚拟路由管理     
     * @return {@link Result<Boolean>} 客户端虚拟路由管理是否存在     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<Boolean> exists(LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute);

}