package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.virtual.route;

import lombok.Data;
import lombok.experimental.Accessors;
import io.swagger.v3.oas.annotations.media.Schema;
import java.time.LocalDateTime;
import java.lang.String;
import java.lang.Long;
import java.lang.Boolean;
/**
 * describe 服务端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomain 
 **/
@Data
@Accessors(chain = true)
@Schema(title = "lazy_netty_server_virtual_route",description = "服务端虚拟路由管理")
public class LazyNettyServerVirtualRoute {


    /**
     * 
     * 创建时间
     */
    @Schema(description ="创建时间",name ="createTime",example = "")
    private LocalDateTime createTime;

    /**
     * 
     * 规则描述
     */
    @Schema(description ="规则描述",name ="describe",example = "")
    private String describe;

    /**
     * 
     * 主键ID
     */
    @Schema(description ="主键ID",name ="id",example = "")
    private Long id;

    /**
     * 
     * 是否删除
     */
    @Schema(description ="是否删除",name ="isDeleted",example = "")
    private Boolean isDeleted;

    /**
     * 
     * 目标路由IP
     */
    @Schema(description ="目标路由IP",name ="targetIp",example = "")
    private String targetIp;

    /**
     * 
     * 目标路由端口：默认ALL
     */
    @Schema(description ="目标路由端口：默认ALL",name ="targetPort",example = "")
    private String targetPort;

    /**
     * 
     * 更新时间
     */
    @Schema(description ="更新时间",name ="updateTime",example = "")
    private LocalDateTime updateTime;

    /**
     * 
     * 虚拟服务端路由IP
     */
    @Schema(description ="虚拟服务端路由IP",name ="virtualIp",example = "")
    private String virtualIp;

    /**
     * 
     * 虚拟服务端路由端口：默认ALL
     */
    @Schema(description ="虚拟服务端路由端口：默认ALL",name ="virtualPort",example = "")
    private String virtualPort;

}