package org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.virtual.route;

import org.wu.framework.web.response.Result;
import org.wu.framework.web.response.ResultFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.virtual.route.LazyNettyServerVirtualRoute;
import java.util.List;
import org.wu.framework.lazy.orm.database.lambda.domain.LazyPage;
/**
 * describe 服务端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyDomainRepository 
 **/

public interface LazyNettyServerVirtualRouteRepository {


    /**
     * describe 新增服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRoute 新增服务端虚拟路由管理     
     * @return {@link  Result<LazyNettyServerVirtualRoute>} 服务端虚拟路由管理新增后领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRoute> story(LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute);

    /**
     * describe 批量新增服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRouteList 批量新增服务端虚拟路由管理     
     * @return {@link Result<List<LazyNettyServerVirtualRoute>>} 服务端虚拟路由管理新增后领域对象集合     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<List<LazyNettyServerVirtualRoute>> batchStory(List<LazyNettyServerVirtualRoute> lazyNettyServerVirtualRouteList);

    /**
     * describe 查询单个服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRoute 查询单个服务端虚拟路由管理     
     * @return {@link Result<LazyNettyServerVirtualRoute>} 服务端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRoute> findOne(LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute);

    /**
     * describe 查询多个服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRoute 查询多个服务端虚拟路由管理     
     * @return {@link Result<List<LazyNettyServerVirtualRoute>>} 服务端虚拟路由管理DTO对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<List<LazyNettyServerVirtualRoute>> findList(LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute);

    /**
     * describe 分页查询多个服务端虚拟路由管理
     *
     * @param size 当前页数
     * @param current 当前页
     * @param lazyNettyServerVirtualRoute 分页查询多个服务端虚拟路由管理     
     * @return {@link Result<LazyPage<LazyNettyServerVirtualRoute>>} 分页服务端虚拟路由管理领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyPage<LazyNettyServerVirtualRoute>> findPage(int size,int current,LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute);

    /**
     * describe 删除服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRoute 删除服务端虚拟路由管理     
     * @return {@link Result<LazyNettyServerVirtualRoute>} 服务端虚拟路由管理     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<LazyNettyServerVirtualRoute> remove(LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute);

    /**
     * describe 是否存在服务端虚拟路由管理
     *
     * @param lazyNettyServerVirtualRoute 是否存在服务端虚拟路由管理     
     * @return {@link Result<Boolean>} 服务端虚拟路由管理是否存在     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/

    Result<Boolean> exists(LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute);

}