package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.client.virtual.route.LazyNettyClientVirtualRoute;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyNettyClientVirtualRouteDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 客户端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyNettyClientVirtualRouteConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/
    LazyNettyClientVirtualRouteConverter INSTANCE = Mappers.getMapper(LazyNettyClientVirtualRouteConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyNettyClientVirtualRouteDO 客户端虚拟路由管理实体对象     
     * @return {@link LazyNettyClientVirtualRoute} 客户端虚拟路由管理领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/
    LazyNettyClientVirtualRoute toLazyNettyClientVirtualRoute(LazyNettyClientVirtualRouteDO lazyNettyClientVirtualRouteDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyNettyClientVirtualRoute 客户端虚拟路由管理领域对象     
     * @return {@link LazyNettyClientVirtualRouteDO} 客户端虚拟路由管理实体对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/
     LazyNettyClientVirtualRouteDO fromLazyNettyClientVirtualRoute(LazyNettyClientVirtualRoute lazyNettyClientVirtualRoute); 
}