package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.virtual.route.LazyNettyServerVirtualRoute;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyNettyServerVirtualRouteDO;
import org.mapstruct.factory.Mappers;
import org.mapstruct.Mapper;
/**
 * describe 服务端虚拟路由管理 
 *
 * @author Jia wei Wu
 * @date 2025/05/06 05:00 下午
 * @see org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter 
 **/
@Mapper
public interface LazyNettyServerVirtualRouteConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     
     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/
    LazyNettyServerVirtualRouteConverter INSTANCE = Mappers.getMapper(LazyNettyServerVirtualRouteConverter.class);
    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyNettyServerVirtualRouteDO 服务端虚拟路由管理实体对象     
     * @return {@link LazyNettyServerVirtualRoute} 服务端虚拟路由管理领域对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/
    LazyNettyServerVirtualRoute toLazyNettyServerVirtualRoute(LazyNettyServerVirtualRouteDO lazyNettyServerVirtualRouteDO);
    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyNettyServerVirtualRoute 服务端虚拟路由管理领域对象     
     * @return {@link LazyNettyServerVirtualRouteDO} 服务端虚拟路由管理实体对象     
     
     * @author Jia wei Wu
     * @date 2025/05/06 05:00 下午
     **/
     LazyNettyServerVirtualRouteDO fromLazyNettyServerVirtualRoute(LazyNettyServerVirtualRoute lazyNettyServerVirtualRoute); 
}