package org.framework.lazy.cloud.network.heartbeat.common.advanced.payload;


import io.netty.channel.Channel;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.socksx.v5.Socks5AddressType;
import lombok.Data;
import lombok.Getter;


@Getter
@Data
public class NettySocketChannelContext implements NettyChannelContext {


    /**
     * -- GETTER --
     *  获取当前通道上下文
     *
     * @return 当前通道上下文
     */
    private ChannelHandlerContext channelHandlerContext;
    /**
     * 地址类型
     */
    private Socks5AddressType socks5AddressType;



    /**
     * 获取当前通道上下文中的通道
     *
     * @return 上下问通道
     */
    @Override
    public Channel channel() {
        return channelHandlerContext.channel();
    }

    /**
     * 获取当前通道上下文
     *
     * @return 当前通道上下文
     */
    @Override
    public ChannelHandlerContext channelHandlerContext() {
        return channelHandlerContext;
    }
}
